#include <bits/stdc++.h>
using namespace std;

int main(){
ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
short t; cin >> t;
for ( int i = 0; i < t; i++ ){
    long long n, m, k; cin >> n >> m >> k;
    if( m >= (n*(n+1))/2.0){
        cout << "Tak";
    }
    else{
        cout << "Nie";
    }
    cout << endl;
}

return 0;
}